maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff <predato...@gmail.com>
Subject rpm-maven-plugin 2.1-alpha-2 not truncating version
Date Thu, 03 Jan 2013 23:44:45 GMT
In version 2.1-alpha-1, if the version contained a '-' (dash) I would get a
warning that said:


[WARNING] rpm version string truncated to 2012.12.19.001


where the original version was 2012.12.19.001-SNAPSHOT.

After updating to 2.1-alpha-2, I no longer see that warning and now my
build fails.

Is this intentional?  I'm not a Maven expert yet and don't know how to
manually truncate the version.

The docs located at
http://mojo.codehaus.org/rpm-maven-plugin/ident-params.html#version says it
"will be truncated at the first dash".

I'll revert back to alpha-1 but wondered if the behavior is changing or if
this is a bug?

-- 
Jeff Vincent
predatorvi@gmail.com
See my LinkedIn profile at:
http://www.linkedin.com/in/rjeffreyvincent
I ♥ DropBox <http://db.tt/9O6LfBX> !!

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message